Bug 1032445 - Dist-geo-rep : When an active brick goes down and comes back, the gsyncd associated with it starts using xsync as change_detector
Dist-geo-rep : When an active brick goes down and comes back, the gsyncd asso...
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication (Show other bugs)
2.1
x86_64 Linux
medium Severity high
: ---
: RHGS 3.1.0
Assigned To: Aravinda VK
Rahul Hinduja
:
Depends On: 1026831
Blocks: 1202842 1223636
  Show dependency treegraph
 
Reported: 2013-11-20 03:47 EST by Vijaykumar Koppad
Modified: 2015-07-29 00:30 EDT (History)
6 users (show)

See Also:
Fixed In Version: glusterfs-3.7.0-2.el6rhs
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 00:30:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2013-11-20 03:47:40 EST
Description of problem: When an active brick goes down and comes back, the gsyncd associated with it starts using xsync as change_detector


Version-Release number of selected component (if applicable): glusterfs-3.4.0.44rhs-1


How reproducible: Happens every time


Steps to Reproduce:
1.create and start a geo-rep relationship between master and slave.
2.create some data and let it sync to slave.
3.kill a master glusterfsd process of active node and after other node takes over do gluster v start <master> force
4.check the logs or gluster v geo <master> <slave-url> config change_detector on that active node

Actual results: change_detector is xsync


Expected results: it should be changelog.


Additional info:
Comment 2 Vijaykumar Koppad 2014-02-12 01:43:04 EST
this is still happening in the build glusterfs-3.4.0.59rhs-1
Comment 4 Aravinda VK 2015-04-06 02:24:45 EDT
Upstream patch sent to not to Fallback to XSync if Changelog failed.
http://review.gluster.org/#/c/9758/

This BZ is related to BZ 1201712
Comment 6 Rahul Hinduja 2015-07-06 12:48:44 EDT
Verified with the build: glusterfs-3.7.1-7.el6rhs.x86_64

change_detector is changelog as:

[root@georep1 scripts]# gluster volume geo-replication master 10.70.46.101::slave config change_detector 
changelog
[root@georep1 scripts]# 

Moving the bug to verified state.
Comment 9 errata-xmlrpc 2015-07-29 00:30:18 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html

Note You need to log in before you can comment on or make changes to this bug.